Ticket #1807 (closed defeito: fixed)

Opened 9 years ago

Last modified 9 years ago

Erro ao instalar módulo após atualizar versão 2.0 para 2.2

Reported by: niltonneto Owned by: niltonneto
Priority: normal Milestone: Expresso 2.2.1
Component: FileManager Version: branch 2.2
Severity: média Keywords: setup install filemanager
Cc: WorkGroup:

Description

Após executar rotina de atualização pelo setup, os novos módulos detectados são instalados, porém na instalação do FileManager? é gerado o seguinte erro:

Database error: Invalid SQL: CREATE TABLE phpgw_vfs ( file_id integer DEFAULT nextval(('seq_phpgw_vfs'::text)::regclass) NOT NULL, owner_id integer NOT NULL, createdby_id integer, modifiedby_id integer, created date DEFAULT '1970-01-01'::date NOT NULL, modified date, size integer, mime_type character varying(64), deleteable character(1) DEFAULT 'Y'::bpchar, comment character varying(255), app character varying(25), directory character varying(255), name character varying(128) NOT NULL, link_directory character varying(255), link_name character varying(128), version character varying(30) DEFAULT '0.0.0.0'::character varying NOT NULL, content text, type integer DEFAULT 0, summary bytea );
pgsql Error: -1 (ERROR: relation "phpgw_vfs" already exists)

Change History

comment:1 Changed 9 years ago by niltonneto

  • Status changed from new to closed
  • Resolution set to fixed

Faltou verificar em default_records se a tabela phpgw_vfs e a sequence seq_phpgw_vfs já existem. A tabela é referenciada na API da versão 2.0. Corrigido em [4172].

Note: See TracTickets for help on using tickets.